clc; clear all;
teplota1 = fopen('T1(C).txt','w');
teplota2 = fopen('T2(C).txt','w');
tlak = fopen('P(hpa).txt','w');
CN2 = fopen('CN.txt','w');
comPort = 'COM10';
comunication= serial(comPort);     %funkcia serial vytvori objekt "comunication"

set(comunication, 'DataBits', 8);  % funkcia set nastavi podla 'xxx' dany parameter
set(comunication, 'StopBits', 1);
set(comunication, 'BaudRate', 115200);
set(comunication, 'Parity', 'none');

fopen(comunication);
a=0;n=0;
opakovanie=1;                      % pocet cyklov programu

while (n<(opakovanie*100))
    a=a+1;
    n=n+1;

    figure(1);
    subplot(2,1,1)
    
    title('Závislosť štruktúrneho parametru indexu lomu na čase');
    
    axis([0 100 20 25]); 
    
% Nacitanie hodnôt   
   T1(a)=fscanf(comunication, '%g');
   T2(a)=fscanf(comunication, '%g');
   CN(a)=fscanf(comunication, '%g')/(10^16);
   P(a)=fscanf(comunication, '%g');
   
% Ukladanie hodnot do suborov 
fprintf(teplota1,'%3.5g',T1(a));
fprintf(teplota1,',');
fprintf(teplota2,'%3.5g',T2(a));
fprintf(teplota2,',');
fprintf(tlak,'%3.5g',P(a));
fprintf(tlak,',');
fprintf(CN2,'%3.5g',CN(a));
fprintf(CN2,',');

   
   hold on;
   grid on;

% Vykreslenie grafov    
plot(T1,'r','linewidth',2);
xlabel('Vzorky');
ylabel('Teplota(°C)');
plot(T2,'b','linewidth',2);



subplot(2,1,2); 
xlabel('Vzorky');
ylabel('Cn2 (m-2/3)');
semilogy(CN,'r','linewidth',2);

   axis([0 100 10^-18 10^-12]); 
   
   drawnow;
   hold on;
   grid on;
   
if (a==3)
    
 clf;
 a=0;
 T1=0;
 T2=0;
 CN=0;
 
end

end

fclose(teplota1);
fclose(teplota2);
fclose(tlak);
fclose(CN2);
fclose(comunication);
delete (comunication);
%clear all;